QIMA Logo
API Reference

8 categories • 44 endpoints

  • All APIs

    44


  • Authentication
    v1.0.0

    Refresh token

    Request

    Query Parameters
    NameTypeLocationRequiredDescription
    ai-api-refresh-keystringheaderYesThe refresh key from the Get Token or previous Refresh Token response (`content.refreshKey`).
    Responses

    200
    New authorized token, token refresh key, token expire unix timestamp are returned

    Content-Type: application/json

    id
    string
    FieldTypeDescription
    idstringSession id
    FieldTypeDescription
    userIdstringQIMA client id or employee id
    FieldTypeDescription
    userTypestringQIMA user type
    FieldTypeDescription
    tokenstringToken body
    FieldTypeDescription
    validBeforestringUnix timestamp that the token is valid
    FieldTypeDescription
    refreshKeystringKey to refresh a token, will extend the token another 24 hours
    FieldTypeDescription
    loginTypestringLogin method used for this session, for example "Login" (standard credential login).
    {
      "message": null,
      "content": {
        "id": "B901DFA7AECA4355854F5B922E3EBB4D",
        "userId": "4C6E94072DFC4918B60752F701DE544A",
        "userType": "client",
        "token": "eyJhbGciOiJkaXIiLCJlbmMiOiJBMTI4Q0JDLUhTMjU2IiwiY3R5IjoiSldUIn0..<truncated-jwt>",
        "validBefore": "1783052501",
        "refreshKey": "e678e8b5de514da39a59a6f48c4b9630",
        "loginType": "Login"
      }
    }

    Content-Type: application/json

    {
      "message": "Refresh key invalid.",
      "content": null
    }
    PUT
    /auth/v2/token
    Request samples

    application/json

    {}

    Response samples

    application/json

    { "message": null, "content": { "id": "B901DFA7AECA4355854F5B922E3EBB4D", "userId": "4C6E94072DFC4918B60752F701DE544A", "userType": "client", "token": "eyJhbGciOiJkaXIiLCJlbmMiOiJBMTI4Q0JDLUhTMjU2IiwiY3R5IjoiSldUIn0..<truncated-jwt>", "validBefore": "1783052501", "refreshKey": "e678e8b5de514da39a59a6f48c4b9630", "loginType": "Login" } }